import { StyleSheet } from 'react-native'
import { windowHeight, fontSizes, windowWidth } from '../../theme/appConstant'
import appColors from '../../theme/appColors'
import appFonts from '../../theme/appFonts'

const styles = StyleSheet.create({
  chartContainer: {
    alignItems: 'center',
    marginTop: windowHeight(2.6),
    marginHorizontal: windowHeight(2.5),
    borderRadius: windowWidth(5),
    paddingBottom: windowHeight(2.3),
    borderWidth: windowWidth(0.45),
  },
  centerText: {
    justifyContent: 'space-between',
    alignItems: 'center',
    width: '90%',
    marginTop: windowHeight(2),
  },
  title: {
    fontSize: fontSizes.FONT4HALF,
    color: appColors.black,
    fontFamily: appFonts.semiBold,
  },
  count: {
    fontSize: fontSizes.FONT3HALF1,
    fontFamily: appFonts.regular,
    color: appColors.iconColor,
    top: '15%',
  },

  legendValue: {
    fontWeight: 'bold',
  },
  statusContainer: {
    flexDirection: 'row',
    justifyContent: 'space-around',
    marginTop: windowHeight(2),
    width: '100%',
    backgroundColor: appColors.white,
  },
  statusBox: {
    alignItems: 'center',
  },
  statusTop: {
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: 4,
  },
  statusDot: {
    width: windowHeight(1.6),
    height: windowHeight(0.6),
    borderRadius: 4,
    marginRight: 6,
  },
  statusLabel: {
    fontSize: fontSizes.FONT4,
    color: appColors.iconColor,
    fontFamily: appFonts.regular,
  },
  statusValue: {
    fontSize: fontSizes.FONT3HALF1,
    fontFamily: appFonts.regular,
    color: appColors.black,
  },
  box: {
    borderWidth: windowWidth(0.45),
    height: windowHeight(22.5),
    width: '91%',
    alignSelf: 'center',
    marginTop: windowHeight(2.8),
    borderRadius: windowWidth(5),
    alignItems: 'center',
    paddingHorizontal: windowHeight(2),
    paddingTop: windowHeight(2),
  },
  image: {
    width: '88%',
    resizeMode: 'contain',
    // backgroundColor: 'red',
    marginTop: windowHeight(0.8),
    marginBottom: windowHeight(-0.5),
  },
})
export default styles
